Fetch Expected Work Hours Settings
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trackpilots.com/v1/settings/expected-work-hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.trackpilots.com/v1/settings/expected-work-hours \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trackpilots.com/v1/settings/expected-work-hours"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched expected work day settings successfully",
"error": null,
"data": [
{
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"userName": "Abirami Kannan",
"emailId": "abiramikannan2006@gmail.com",
"profilePicUrl": null,
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
},
{
"userId": "b514fe51-df34-414e-8bec-9dcdd23cde23",
"userName": "Swetha Senthil",
"emailId": "senthilsundari2802@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.jpeg",
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
},
{
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"emailId": "sakthiveltechit@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png",
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
}
]
}Settings
Fetch Expected Work Hours Settings
GET
/
v1
/
settings
/
expected-work-hours
Fetch Expected Work Hours Settings
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trackpilots.com/v1/settings/expected-work-hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.trackpilots.com/v1/settings/expected-work-hours \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trackpilots.com/v1/settings/expected-work-hours"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched expected work day settings successfully",
"error": null,
"data": [
{
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"userName": "Abirami Kannan",
"emailId": "abiramikannan2006@gmail.com",
"profilePicUrl": null,
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
},
{
"userId": "b514fe51-df34-414e-8bec-9dcdd23cde23",
"userName": "Swetha Senthil",
"emailId": "senthilsundari2802@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.jpeg",
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
},
{
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"emailId": "sakthiveltechit@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png",
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Fetched expected work hours settings successfully
Example:
true
Example:
200
Example:
"Fetched expected work day settings successfully"
Example:
null
Show child attributes
Show child attributes
Example:
[
{
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"userName": "Abirami Kannan",
"emailId": "abiramikannan2006@gmail.com",
"profilePicUrl": null,
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
},
{
"userId": "b514fe51-df34-414e-8bec-9dcdd23cde23",
"userName": "Swetha Senthil",
"emailId": "senthilsundari2802@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.jpeg",
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
},
{
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"emailId": "sakthiveltechit@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png",
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "12:30 am"
}
}
]
⌘I
